跳转到主要内容
官方文档:https://bailian.console.aliyun.com/?spm=5176.12818093_47.overview_recent.5.7a6e2cc9UHSwkv&tab=api#/api/?type=model&url=2867393

Endpoint

POST /v1/videos
分组: openai视频格式 / vidu

Headers

  • x-base-url: 必填 示例: https://api.aimlapi.com/v2

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/videos:
    post:
      summary: 提交视频任务
      deprecated: false
      description: >-
        官方文档:https://bailian.console.aliyun.com/?spm=5176.12818093_47.overview_recent.5.7a6e2cc9UHSwkv&tab=api#/api/?type=model&url=2867393
      tags:
        - openai视频格式/vidu
      parameters:
        - name: x-base-url
          in: header
          description: ''
          required: true
          example: https://api.aimlapi.com/v2
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                model:
                  description: 模型:viduq2-pro_1080p、viduq2-pro_720p
                  example: ''
                  type: string
                prompt:
                  description: 提示词
                  example: ''
                  type: string
                seconds:
                  description: 视频时长 >= 1且< 8
                  example: ''
                  type: string
                size:
                  description: 视频比例:16:9、9:16
                  example: ''
                  type: string
                input_reference:
                  format: binary
                  type: string
                  description: 参考图
                  example: ''
              required:
                - model
                - prompt
                - seconds
                - size
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apifox-orders: []
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: openai视频格式/vidu
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-390275015-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []